ru.bitel.bgbilling.modules.rentsoft.server.bean

## Class RentsoftPaymentManager

- java.lang.Object
- - ru.bitel.common.dao.AbstractDao<B>
  - - ru.bitel.common.dao.AbstractIdDao<RentsoftPayment>
    - - ru.bitel.bgbilling.modules.rentsoft.server.bean.RentsoftPaymentManager

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class RentsoftPaymentManager
      extends ru.bitel.common.dao.AbstractIdDao<RentsoftPayment>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, logger, mid, moduleId, orderByPattern, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_WHERE, tableName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RentsoftPaymentManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `areChargesAllowedToCid(int cid)`
    `boolean` | `billUser(RentsoftPayment payment, boolean revert)`
    `boolean` | `checkCid(int cid)`
    `java.lang.String` | `cidToUuid(int cid)`
    `void` | `deleteForContract(int cid)`
    `RentsoftPayment` | `getByTxid(java.lang.String txid)`
    `int` | `getCidToCharge(int parentCid)`
    `java.lang.String` | `getCurrentBalance(int cid)`
    `protected RentsoftPayment` | `getFromRS(java.sql.ResultSet rs)`
    `boolean` | `getIsJuridical(int cid)`
    `boolean` | `getIsPostpaid(int cid)`
    `java.util.List<RentsoftPayment>` | `getPaymentList(int productId, int cid)`
    `java.lang.String` | `getTariffIds(int cid)`
    `java.util.List<java.lang.String>` | `getUuidsByTariff(int tid)`
    `boolean` | `isEnoughMoney(int cid, int amount)`
    `boolean` | `isTxidExists(java.lang.String txid)`
    `boolean` | `recalculateUser(int cid, java.util.Date date)`
    `protected void` | `updateImpl(RentsoftPayment b)` Этот метод каждый реализует сам со своей логикой.
    `int` | `uuidToCid(java.lang.String uuid)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getSQLOrder, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RentsoftPaymentManager

          public RentsoftPaymentManager(java.sql.Connection con,
                                        int mid)
                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

  - ### Method Detail

    - #### getPaymentList

          public java.util.List<RentsoftPayment> getPaymentList(int productId,
                                                                int cid)
                                                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(RentsoftPayment b)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Description copied from class: `ru.bitel.common.dao.AbstractDao`
      Этот метод каждый реализует сам со своей логикой.
      Для обновления вызывать update.
      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<RentsoftPayment>`
      Parameters:
        `b` - экземпляр модели
      Throws:
        `ru.bitel.bgbilling.common.BGException` - ошибки
        `java.sql.SQLException` - ошибки

    - #### getFromRS

          protected RentsoftPayment getFromRS(java.sql.ResultSet rs)
                                       throws java.sql.SQLException,
                                              ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<RentsoftPayment>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### getByTxid

          public RentsoftPayment getByTxid(java.lang.String txid)
                                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### isTxidExists

          public boolean isTxidExists(java.lang.String txid)
                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### checkCid

          public boolean checkCid(int cid)
                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### isEnoughMoney

          public boolean isEnoughMoney(int cid,
                                       int amount)

    - #### billUser

          public boolean billUser(RentsoftPayment payment,
                                  boolean revert)
                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### recalculateUser

          public boolean recalculateUser(int cid,
                                         java.util.Date date)
                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getCurrentBalance

          public java.lang.String getCurrentBalance(int cid)

    - #### getTariffIds

          public java.lang.String getTariffIds(int cid)
                                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getIsJuridical

          public boolean getIsJuridical(int cid)

    - #### getIsPostpaid

          public boolean getIsPostpaid(int cid)

    - #### areChargesAllowedToCid

          public boolean areChargesAllowedToCid(int cid)

    - #### getUuidsByTariff

          public java.util.List<java.lang.String> getUuidsByTariff(int tid)
                                                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteForContract

          public void deleteForContract(int cid)
                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### uuidToCid

          public int uuidToCid(java.lang.String uuid)

    - #### cidToUuid

          public java.lang.String cidToUuid(int cid)

    - #### getCidToCharge

          public int getCidToCharge(int parentCid)